Bug 458473 - segfault in glabels-batch
segfault in glabels-batch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: glabels (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/index...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 13:43 EDT by Casey Harkins
Modified: 2008-09-10 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 08:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initialize preferences subsystem in glabels-batch to avoid segfault (428 bytes, patch)
2008-08-08 13:43 EDT, Casey Harkins
no flags Details | Diff

  None (edit)
Description Casey Harkins 2008-08-08 13:43:51 EDT
Created attachment 313822 [details]
initialize preferences subsystem in glabels-batch to avoid segfault

Description of problem:

A bug exists in glabels which will always cause the glabels-batch command line utility to segfault. It is attempting to access a member of a preferences structure which is NULL. 

Version-Release number of selected component (if applicable):

At least 2.2.1 and 2.2.2. We just noticed this problem as Fedora 8 updated from version 2.0.2 (which does not have this bug) to 2.2.2.

How reproducible:

100% of the time for all valid inputs.

Steps to Reproduce:
1. Run the glabels-batch utility with any valid *.glabels file.
  
Actual results:

Segfault.

Expected results:

Depends on your parameters, but in most cases you would be generating a postscript file based on the specified label template using a merge data file specified on the command line. If a full test case is desired (sample *.glabels file and sample merge data), I would be happy to provide it. However, this is a pretty simple bug to track down and a one liner patch is available to fix it.

Additional info:

This bug was previously reported upstream. I've just submitted a one line patch to resolve this bug upstream. I recommend that Fedora apply the patch to the Fedora 8 and 9 packages to resolve this crash until it is fixed upstream.

Patch submitted upstream: https://sourceforge.net/tracker/index.php?func=detail&aid=2043356&group_id=46122&atid=445116
Comment 1 Peter Gordon 2008-08-08 23:05:09 EDT
Thanks for the bug report, and submitting the patch upstream. Will be committed to Fedora momentarily.
Comment 2 Fedora Update System 2008-08-09 00:21:11 EDT
glabels-2.2.2-2.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-08-09 00:28:48 EDT
glabels-2.2.2-2.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-08-12 14:21:07 EDT
glabels-2.2.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glabels'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7161
Comment 5 Fedora Update System 2008-08-12 14:24:29 EDT
glabels-2.2.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glabels'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7203
Comment 6 Fedora Update System 2008-09-05 08:18:33 EDT
glabels-2.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-10 02:51:27 EDT
glabels-2.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-10 03:02:06 EDT
glabels-2.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.